/* General styles */
body,
html {
  margin: 0;
  padding: 0;
  overflow-y: auto; /* Allow vertical scrolling */
  color: rgba(255, 255, 255, 0.9); /* Set font color to 90% white */
}

/* Styling for sections */
.section {
  min-height: 100vh; /* Ensure section takes at least full viewport height */
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 2em;
  background-size: cover;
  background-position: center;
}

/* Background images */
.section-start {
  background-image: url("Bg-01.png");
}
.section-stacy {
  background-image: url("Bg-01.png");
}
.section-custom-form {
  background-image: url("Bg-01.png");
}

.section-custom-kmeans {
  background-image: url("Bg-01.png");
}

/* Container styling */
.container {
  max-width: 800px;
  padding: 20px;
  text-align: center; /* Align content center for Section 1 */
}

/* Header styling */
header {
  font-size: 1.618em; /* Use golden ratio for font size in Section 2 */
  margin-bottom: 20px;
}

/* Start button styling for Section 1 */
.section-start .start-button {
  display: inline-block;
  padding: 10px 20px;
  background-color: #808080; /* Set button background color to grey */
  color: #fff; /* Set button text color to white */
  text-decoration: none;
  border: 2px solid #808080; /* Set border color to grey */
  border-radius: 5px;
  transition: color 0.3s, background-color 0.3s; /* Add transition effect for color change */
}

.section-start .start-button:hover {
  background-color: #f0f0f0; /* Change background color on hover */
  color: #555; /* Change text color on hover */
}

/* Section 2 content styling */
.section-stacy h1 {
  font-size: 1.382em; /* Use golden ratio for font size in Section 2 */
  margin-bottom: 20px;
}

.section-stacy .content {
  text-align: left;
}

.section-stacy .content h2 {
  font-size: 1em; /* Reduce font size slightly for body content in Section 2 */
  margin-bottom: 10px;
}

.section-stacy .content p {
  font-size: 1em; /* Reduce font size slightly for body content in Section 2 */
  margin-bottom: 20px;
}

.section-stacy .content ol {
  font-size: 1em; /* Reduce font size slightly for body content in Section 2 */
  margin-bottom: 20px;
  padding-left: 20px;
}

.section-stacy .content li {
  font-size: 1em; /* Reduce font size slightly for body content in Section 2 */
  margin-bottom: 10px;
}

/* Form styling for Section 3 */

.container1 {
  background-color: #fff;
  color: #333;
  font-size: medium;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  max-width: 400px;
  margin-top: 60px;
}

.section-custom-form form {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.section-custom-form form label {
  margin-top: 10px; /* Adjust margin */
}

.section-custom-form form input {
  padding: 10px;
  margin-top: 5px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.section-custom-form form button {
  margin-top: 20px;
  padding: 10px;
  background-color: #333;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.section-custom-form form button:hover {
  background-color: #6d6c6c;
}

#result {
  margin-top: 20px;
  text-align: center;
}
